Loading...
Searching...
No Matches
methods.hpp File Reference

Some triangulation methods. Not exhaustive. More...

`#include <stdlib.h>`
`#include <vector>`
`#include <opengv/types.hpp>`
`#include <opengv/relative_pose/RelativeAdapterBase.hpp>`

Go to the source code of this file.

## Namespaces

namespace | opengv
| The namespace of this library.
namespace | opengv::triangulation
| The namespace for the triangulation methods.

## Functions

point_t | opengv::triangulation::triangulate (const relative_pose::RelativeAdapterBase &adapter, size_t index)
| Compute the position of a 3D point seen from two viewpoints. Linear Method.
point_t | opengv::triangulation::triangulate2 (const relative_pose::RelativeAdapterBase &adapter, size_t index)
| Compute the position of a 3D point seen from two viewpoints. Fast non-linear approximation (closed-form).

## Detailed Description

Some triangulation methods. Not exhaustive.